# $Id$

Summary: Graph visualization tools.
Name: graphviz
Version: 1.9
Release: fr0.rh73.1
License: AT&T open source (see COPYING)
Group: Applications/Multimedia
Source: http://www.graphviz.org/pub/%{name}/%{name}-%{version}.tar.gz
URL: http://www.graphviz.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libjpeg-devel, libpng-devel, zlib-devel, freetype-devel, tcl
BuildRequires: curl-devel, expat-devel, XFree86-devel

%description
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in barcharts).


%package graphs
Summary: Demo graphs for %{name}.
Group: Applications/Multimedia
Requires: %{name} = %{version}

%description graphs
This package provides some example graphs for %{name}.


%package tcl
Summary: Tcl extension tools for %{name}.
Group: Applications/Multimedia
Requires: %{name} = %{version}

%description tcl
The %{name}-tcl package contains the various tcl packages (extensions)
for the %{name} tools.


%package devel
Summary: Development tools for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The %{name}-devel package contains the header files and man pages necessary
for developing programs using the %{name} libraries.


%prep
%setup -q

%build
%ifarch %ix86
    %{expand: %%define optflags %{optflags} -ffast-math}
%endif
%configure \
        --program-prefix=%{?_program_prefix:%{_program_prefix}} \
        --includedir=%{_includedir}/%{name} \
        --enable-static
make

%install
rm -rf %{buildroot}
%makeinstall \
        includedir=%{buildroot}%{_includedir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS FAQ.txt MINTERMS.txt
%doc doc/[^Mb]*
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libagraph.so*
%{_libdir}/%{name}/libcdt.so*
%{_libdir}/%{name}/libexpr.so*
%{_libdir}/%{name}/libgraph.so*
%{_libdir}/%{name}/libpack.so*
%{_libdir}/%{name}/libpathplan.so*
#{_libdir}/%{name}/libdotneato.so*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lefty
%{_mandir}/man1/*

%files graphs
%defattr(-, root, root)
%{_datadir}/%{name}/graphs

%files tcl
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ.txt MINTERMS.txt
%doc doc/tcldot.html
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgdtclft.so*
%{_libdir}/%{name}/libtcldgl.so*
%{_libdir}/%{name}/libtcldgr.so*
%{_libdir}/%{name}/libtcldot.so*
%{_libdir}/%{name}/libtclplan.so*
%{_libdir}/%{name}/libtkspline.so*
%{_libdir}/%{name}/pkgIndex.tcl
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/demo
%{_mandir}/mann/*.n* 

%files devel
%defattr(-,root,root)
%doc LICENSE.html
%{_includedir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.a
%exclude %{_libdir}/%{name}/*.la
%{_mandir}/man3/*

%changelog
* Wed Apr 30 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release based on the included spec file.

